# $Revision: 1.114.2.11 $, $Date: 2003/06/21 21:13:16 $

%define		minmozver	1.2.1

Summary:	Galeon - gecko-based GNOME web browser
Summary(pl):	Galeon - przegldarka WWW dla GNOME
Summary(pt_BR):	O galeon  um browser para o gnome baseado no mozilla
Summary(zh_CN):	GeckoGNOME
Name:		galeon
Version:	1.2.7
Release:	3
Epoch:		2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/sourceforge/galeon/%{name}-%{version}.tar.gz
# Source0-md5:	2408b7e6b1a2a2655f6720b41a391f4b
Source1:	%{name}-config-tool.1
Patch0:		%{name}-mozilla_five_home.patch
Patch1:		%{name}-am_fix.patch
Patch2:		%{name}-omf.patch
Patch3:		%{name}-pl.patch
Patch4:		%{name}-notypeaheadfindin1.0.patch
URL:		http://galeon.sourceforge.net/
BuildRequires:	GConf-devel >= 1.0.9-2
BuildRequires:	ORBit-devel >= 0.5.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gdk-pixbuf-devel >= 0.10.
BuildRequires:	gettext-devel
BuildRequires:	gnome-core-devel >= 1.2.0
BuildRequires:	gnome-libs-devel >= 1.2.0
BuildRequires:	gnome-vfs-devel >= 0.5
BuildRequires:	intltool
BuildRequires:	libglade-gnome-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml-devel >= 1.8.7
BuildRequires:	mozilla-embedded-devel >= %{minmozver}
BuildRequires:	oaf-devel >= 0.6.2
BuildRequires:	openssl-devel >= 0.9.6i
BuildRequires:	scrollkeeper
Requires:	GConf >= 1.0.4-1
Requires:	mozilla-embedded = %(rpm -q --qf '%{VERSION}' --whatprovides mozilla-embedded)
Requires(post):	GConf
Requires(post):	mozilla
Requires(post):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# can be provided by mozilla or mozilla-embedded
%define		_noautoreqdep	libgtkembedmoz.so libgtksuperwin.so libxpcom.so

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME
%define         _omf_dest_dir   %(scrollkeeper-config --omfdir)

# supports 1.0, 1.1, 1.2 or trunk (1.3)
%define	mozsnap	%(rpm -q --qf '%{VERSION}' --whatprovides mozilla-embedded | sed -e 's/^\([0-9]\.[0-9]\).*/\1/;s/^1\.3$/trunk/')

%description
Gnome browser based on Gecko (Mozilla rendering engine).

%description -l pl
Galeon jest przegldark WWW bazujc na Gecko (mechanizmie
interpretacji stron Mozilli).

%description -l pt_BR
O galeon  um browser para o gnome baseado no mozilla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
xml-i18n-toolize --copy --force
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-mozilla-libs=%{_libdir} \
	--with-mozilla-includes=%{_includedir}/mozilla \
	--with-mozilla-home=%{_libdir}/mozilla \
	--enable-nls \
	--disable-included-gettext \
	--disable-install-schemas \
	--disable-werror \
	--with-mozilla-snapshot=1.2 \
	--enable-gconf-source=%{_sysconfdir}/gconf/schemas \
	--enable-nautilus-view=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Networkdir=%{_applnkdir}/Network/WWW \
	omf_dest_dir=%{_omf_dest_dir}/%{name}

mv -f $RPM_BUILD_ROOT%{_bindir}/galeon-bin $RPM_BUILD_ROOT%{_bindir}/galeon

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
umask 022
rm -f %{_libdir}/mozilla/{component.reg,components/{compreg,xpti}.dat}
MOZILLA_FIVE_HOME=%{_libdir}/mozilla regxpcom
gconftool --shutdown
GCONF_CONFIG_SOURCE=xml::%{_sysconfdir}/gconf/gconf.xml.defaults gconftool --makefile-install-rule %{_sysconfdir}/gconf/schemas/galeon.schemas 2>dev/null >/dev/null

%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Network/WWW/*
%{_libdir}/%{name}
%{_datadir}/galeon
%{_datadir}/gnome/help/galeon-manual
%{_datadir}/gnome/ui/*.xml
%{_datadir}/oaf/*
%{_omf_dest_dir}/%{name}
%{_datadir}/sounds/galeon
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound/events/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: galeon.spec,v $
Revision 1.114.2.11  2003/06/21 21:13:16  blues
- release 3 - ready for mozilla 1.2.1 (tnx qboosh for hint)

Revision 1.114.2.10  2003/06/21 20:42:09  blues
- arrghhh.... *now* md5 is correct...

Revision 1.114.2.9  2003/06/21 20:33:20  blues
- now md5 is correct :-/

Revision 1.114.2.8  2003/06/21 20:24:12  blues
- md5

Revision 1.114.2.7  2003/03/10 11:47:38  blues
- require proper mozilla version

Revision 1.114.2.6  2003/03/03 14:31:47  ankry
- BR: openssl >= 0.9.6i (suggested by blues)
- rel. 2

Revision 1.114.2.5  2003/02/27 15:07:31  qboosh
- support mozilla 1.0 through 1.3 (I hope, not tested)

Revision 1.114.2.4  2003/02/09 10:49:02  dzimi
- for Ra, minmozver should be 1.0, --with-mozilla-snapshot too.

Revision 1.114.2.3  2003/02/07 14:21:46  qboosh
- added notypeaheadfindin1.0 patch (needed for mozilla 1.0.2)

Revision 1.114.2.2  2002/12/04 15:43:27  qboosh
- updated to 1.2.7 (works better with mozilla 1.2)
- updated pl patch

Revision 1.114.2.1  2002/11/05 12:22:07  qboosh
- updated configure and post to work with mozilla 1.2b; release 5

Revision 1.114  2002/10/07 11:21:02  qboosh
- BR: autoconf,automake; added Requires(post) list; release 4

Revision 1.113  2002/10/04 10:17:43  ankry
- some pl text fixes, release 3

Revision 1.112  2002/10/03 17:17:07  krzak
Release 2
fixed omf file
STBR

Revision 1.111  2002/09/16 20:57:22  kloczek
- updated to 1.2.6: many bug fixes.

Revision 1.110  2002/08/06 13:16:20  qboosh
- BR: libglade-gnome-devel

Revision 1.109  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.108  2002/06/08 21:16:00  filon
- updated to 1.2.5
- builds and works, STBR

Revision 1.107  2002/06/06 10:29:09  areq
- requires mozilla 1.0
- Release 2
- STBR (it works for me)

Revision 1.106  2002/05/26 07:15:32  filon
- vfs and mozilla_ver patches are really no needed

Revision 1.105  2002/05/26 01:01:02  kloczek
- merge translations from TurboLinux.

Revision 1.104  2002/05/26 00:54:22  aflinta
- updated to version 1.2.3
- requires mozilla 1.0rc3
- commented out mozilla_ver patch which seems to be obsoleted
- STBR (it works for me)

Revision 1.103  2002/05/24 21:01:07  filon
- minimal mozilla is 1.0rc2

Revision 1.102  2002/05/24 10:47:30  wrobell
- builds and works with mozilla 1.0rc3

Revision 1.101  2002/05/23 23:03:01  misiek
- 1.2.2 for test

Revision 1.100  2002/05/23 05:10:46  kloczek
- relese 7: rebuild and added using new %doc packing infrastructure.

Revision 1.99  2002/05/22 23:36:35  filon
- buildrequires: GConf-devel >= 1.0.9-2 (with fixed gconf.m4)

Revision 1.98  2002/05/21 23:13:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.97  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.96  2002/05/16 09:18:42  mkochano
- Release 5.
- --enable-nautilus-view=no
Not tested.

Revision 1.95  2002/05/16 06:51:46  misiek
- move omf files one level deeper

Revision 1.94  2002/05/16 06:43:39  misiek
- move omf files to proper place and register them via scrollkeeper; rel 4

Revision 1.93  2002/05/15 16:50:25  wrobell
- builds and works with mozilla 1.0.rc2
- rel. 3

Revision 1.92  2002/04/30 21:33:13  qboosh
- removed nspr libs from _noautoreqdep

Revision 1.91  2002/04/25 16:20:41  arturs
fixed a small typo

Revision 1.90  2002/04/23 09:17:26  wiget
compilation fix (vfs.patch)

Revision 1.89  2002/04/22 07:48:17  ankry
- added galeon-config-tool.1 man page from Debian
- release 2

Revision 1.88  2002/04/21 01:23:37  wrobell
- added noautoreqdep for mozilla libraries (from mozilla-embedded or
  mozilla)

Revision 1.87  2002/04/20 18:34:03  misiek
- updated to 1.2.1

Revision 1.86  2002/04/19 21:18:18  wrobell
- apply the same build and install requirements rules as for skipstone and
  light

Revision 1.85  2002/04/16 17:47:32  wrobell
- fixed build requirements

Revision 1.84  2002/04/15 17:04:07  wiget
- disable -Werror
- allow rebuilding Makefile.in (am_fix.patch)
- fix compilation with gcc 3.x (gcc31.patch)

Revision 1.83  2002/04/10 11:49:00  wrobell
- xml-i18n-tools is provided by intltool

Revision 1.82  2002/04/08 16:32:44  michuz
- switched back to intltool

Revision 1.81  2002/04/06 11:08:42  pioklo

- updated to 1.2.0 (mozilla 0.9.9 comaptibile)
- s/intltool/xml-i18n-tools/ in BuildRequires
- BuidRequires: mozilla-devel >= 0.9.9
- doesn't build with 0.9.8, with 0.9.9 correctly
- need test, STBR

Revision 1.80  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.79  2002/02/11 20:53:46  kloczek
- bump release to 4.

Revision 1.78  2002/02/08 21:18:22  kloczek
- spec adapterized,
- Source url changed.

Revision 1.77  2002/02/07 14:20:34  filon
- BuidRequires: mozilla-devel >= 0.9.8
- doesn't build with 0.9.6, with 0.9.8 correctly
- release 2

Revision 1.76  2002/02/06 23:09:24  filon
- updated to 1.0.3 (mozilla 0.9.8 comaptibile)

Revision 1.75  2002/01/28 13:47:05  ankry
- changed source URL to FTP; HTTP URL does not support continuation

Revision 1.74  2002/01/27 15:52:44  mkochano
- Updated to 1.0.2
- Release 1.
- Updated %%files.
STBR

Revision 1.73  2002/01/18 02:13:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.72  2001/12/11 00:12:29  kloczek
- release 2,
- s/xml-i18n-tools/intltool/ in BuildRequires,
- !sort BuildRequires rules.

Revision 1.71  2001/12/07 07:20:11  kloczek
- typo.

Revision 1.70  2001/12/07 01:15:20  mkochano
- Release 3.
- Requires mozilla >= 0.9.6 replaced witn %%requires_eq mozilla. It
  simply doesn't work with with older versions of mozilla than that it
  was build with and assumption that it will work with newer versions is
  only a guess without any proof.

Revision 1.69  2001/12/06 23:42:08  kloczek
- release 2: bump version mozilla{,-devel} in {Build,}Requires rules to 0.9.6.

Revision 1.68  2001/12/06 13:01:20  kloczek
- updated to 1.0.1 (bug fix release)
- removed shutdown patch (included in current version).

Revision 1.67  2001/12/02 08:59:22  kloczek
- release 5: merge shutdown patch from rawhide with fixes crash when using
  ctrl-q to shutdown. Also should fix some sites that use window.close()
  to close the last window.

Revision 1.66  2001/11/26 16:10:41  kloczek
- s/mozilla-embede/mozilla/

Revision 1.65  2001/11/26 06:37:13  kloczek
- merge translations from CNV.

Revision 1.64  2001/11/24 21:20:16  aflinta
- Updated to version 1.0, STBR

Revision 1.63  2001/11/19 09:11:06  mkierus
- updated to 0.12.8

Revision 1.62  2001/11/10 14:16:04  kloczek
- updated to 0.12.7.

Revision 1.61  2001/10/28 21:12:37  areq
- 0.12.6. STBR

Revision 1.60  2001/10/27 23:28:48  wrobell
- mozilla-embedded requirement is back

Revision 1.59  2001/10/27 22:38:03  wrobell
- use mozilla embedded build scheme

Revision 1.58  2001/10/22 21:06:26  aflinta
- updated to version 0.12.5
- removed g++ patch

Revision 1.57  2001/10/14 23:06:19  aflinta
- updated buildrequires to mozilla 0.9.5

Revision 1.56  2001/10/14 23:03:43  aflinta
- updated to version 0.12.4 STBR

Revision 1.55  2001/10/11 14:28:57  misiek
- include g++ v2 string not v3

Revision 1.54  2001/10/06 19:49:08  misiek
- updated to 0.12.3

Revision 1.53  2001/09/24 08:58:20  areq
- 0.12.2, STBR

Revision 1.52  2001/09/18 18:17:27  kloczek
- reelase 2.

Revision 1.51  2001/09/18 07:53:19  alchemyx
- changed "more than" sign in build requires into "equal", so it will help
  us keep with current mozilla

Revision 1.50  2001/09/18 02:41:27  kloczek
- map correctly %{_sysconfdir} and correct %files list for this maped macro,
- added man page for galeon to %files list.

Revision 1.49  2001/09/17 09:33:42  areq
- 0.12.1, STBR

Revision 1.48  2001/08/20 09:41:11  wrobell
- fixed build and install requirements for GConf

Revision 1.47  2001/08/20 08:41:57  aflinta
- updated to version 0.12
- added Epoch for easier upgrade from version 12preX

Revision 1.46  2001/08/13 09:23:47  areq
-  0.12pre3, STBR

Revision 1.45  2001/08/08 19:17:34  aflinta
- Uncomented BuildRequires mozilla-devel >= 0.9.3

Revision 1.44  2001/08/07 22:49:16  aflinta
- removed obsolete patch ns-with-service.patch
- Added (Build)Requires GConf (devel) 1.0.3-3
- STBR

Revision 1.43  2001/08/07 21:31:24  aflinta
- added moz_five_home.patch, NFY, still can't get to work with GConf

Revision 1.42  2001/08/07 07:33:03  aflinta
- Added BuilRequires GConf-devel >= 1.0.3-2
- NFY, still needs moz_five_home.patch and more gconf setup :(

Revision 1.41  2001/08/06 21:09:41  aflinta
 - started update to 0.12pre1 version. NFY, needs gconf setup

Revision 1.40  2001/08/04 03:23:52  wrobell
- recompiled with mozilla 0.9.3
- added patch to fix NS_WITH_SERVICE macro problem
- rel 2

Revision 1.39  2001/07/25 19:00:29  areq
- 0.11.3 STBR

Revision 1.38  2001/07/23 12:44:30  wrobell
- up to galeon 0.11.2

Revision 1.37  2001/07/08 12:48:47  wrobell
- use configure2_13 macro

Revision 1.36  2001/07/07 14:48:26  wrobell
- commented out unecessary patches and removed
  gettext/libtool/autoconf/automake rebuild stuff
- compiled with mozilla-embedded
- fixed requires
- rel 2, stb

Revision 1.35  2001/07/07 01:54:23  wrobell
- fixed url

Revision 1.34  2001/07/04 15:24:12  wrobell
- up to 0.11.1.

Revision 1.33  2001/07/02 16:43:31  martii
Added some BuildReq needed for builing galeon with success :-)

Revision 1.32  2001/07/01 15:01:42  michuz
- updated to 0.11.1 cvs20010701

Revision 1.31  2001/07/01 14:17:41  michuz
- added QnD patch (patch removes unrecognized object)

Revision 1.30  2001/07/01 13:47:34  misiek
- added BuildRequires: xml-i18n-tools

Revision 1.29  2001/06/30 23:48:02  michuz
- requires mozilla >= 0.9.2-2

Revision 1.28  2001/06/30 23:47:17  michuz
- added %%post (like RH and MDK)

Revision 1.27  2001/06/30 21:48:06  misiek
- updated again (still compilation fails)

Revision 1.26  2001/06/22 13:20:37  misiek
- started update. NFY.

Revision 1.25  2001/05/01 12:26:27  misiek
- 0.10.5 but doesn't work since we don't have working mozilla 0.8.1

Revision 1.24  2001/04/23 08:48:28  misiek
removed nonexisting options

Revision 1.23  2001/04/23 08:33:56  misiek
updated to 0.10.4 (but it's now working for me as previous version)

Revision 1.22  2001/03/17 01:54:00  kloczek
- release 2.

Revision 1.21  2001/03/16 23:45:56  michuz
- added patch for MOZILLA_FIVE_HOME

Revision 1.20  2001/03/11 12:35:45  kloczek
- updated to 0.10.2.

Revision 1.19  2001/02/27 02:28:07  kloczek
- BuildRequires: mozilla-devel >= 0.8

Revision 1.18  2001/02/27 02:21:39  kloczek
- remove makefile patch and pass Networkdir=%%{_applnkdir}/Network/WWW as
  make parameter in %install (now isn't neccessary regenerate automake
  files).

Revision 1.17  2001/02/26 19:06:15  aflinta
- Updated to version 10.1

Revision 1.16  2001/02/23 23:48:32  aflinta
- updated to version 0.10
- updated BuildRequires

Revision 1.15  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.14  2001/01/12 14:14:10  baggins
- updated to 0.8.4

Revision 1.13  2000/11/01 07:20:56  kloczek
-updated to 0.8.

Revision 1.12  2000/10/18 11:45:09  aflinta
- up to 0.7.7

Revision 1.11  2000/10/16 23:01:45  kloczek
- added using %%find_lang macro,
- fixed %files list,
- few cosmetics.

Revision 1.10  2000/10/16 21:42:49  aflinta
- removed empty log

Revision 1.9  2000/10/14 21:07:26  alchemyx
- missing BuildRequires;
- typo

Revision 1.8  2000/10/14 16:37:00  aflinta
- now can be compiled with gcc 2.95
- modified galeon.desktop
- added [pl] section in spec

Revision 1.7  2000/10/04 13:07:06  wrobell
- up to 0.7.6

Revision 1.6  2000/09/12 14:55:22  misiek
- updates

Revision 1.5  2000/06/29 13:39:00  kloczek
- rewrited %build, %install,
- added gzipping %doc.

Revision 1.4  2000/06/29 13:23:27  klakier
- requires mozilla
- looks to work (requires MOZILLA_FIVE_HOME=/usr/X11R6/lib/mozilla to be set)

Revision 1.3  2000/06/29 13:09:58  klakier
- url added
- buildrequires libxml-devel added
- rebuild

Revision 1.2  2000/06/29 12:50:47  klakier
- adapterized
